<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\MstStore;

use Illuminate\Support\Facades\Mail;

class ContactController extends Controller
{
    public function index()
    {
        $data['css'] = root("css/contact/index.css");
        $data['bread'] = true;
        $data['staticFirst'] =array(
            'url' => root('img/save/first.jpg'),
            'title' => "CONTACT",
            'jp' => 'お問い合わせ',
            'text' => '下記の入力フォームに必要事項をご入力の上、送信ボタンをクリックしてください。
             必須マークの項目は必ずご入力をお願いします。 ',
        );
        $shop_list = MstStore::getDataAll(1);
        array_pop($shop_list);
        $data['shop_list'] = $shop_list;
        return view('home.contact.index', $data);
    }
	
	 public function test()
    {
        $css = root("css/contact/index.css");
        $bread = true;
        $staticFirst =array(
            'url' => root('img/save/first.jpg'),
            'title' => "CONTACT",
            'jp' => 'お問い合わせ',
            'text' => '下記の入力フォームに必要事項をご入力の上、送信ボタンをクリックしてください。
            <span>必須</span>マークの項目は必ずご入力をお願いします。 ',
        );
		
        return view('home.buy.detail', compact('css', 'bread', 'staticFirst'));
    }
	
	public function submit(Request $request){
		$css = root("css/contact/index.css");
        $bread = true;
        $staticFirst =array(
            'url' => root('img/save/first.jpg'),
            'title' => "CONTACT",
            'jp' => 'お問い合わせ',
            'text' => '下記の入力フォームに必要事項をご入力の上、送信ボタンをクリックしてください。
            <span>必須</span>マークの項目は必ずご入力をお願いします。 ',
        );
        return view('home.contact.index', compact('css', 'bread', 'staticFirst'));
		
    }
    


    public function sendmail(Request $request)
    {
        $to_web = 'it-net@319.jp';
        // TODO:アドレス
        $to_web = 'toshiki.wakamiya@wills.co.jp';
        
        $to = [
            '',
            'ofuna-net@319.jp',
            'hongoudai-net@319.jp',
            'katsuracho-net@319.jp',
            'kounandai-net@319.jp',
            'youkoudai-net@319.jp',
            'honten-net@319.jp',
            'kaminagaya-net@319.jp',
            'isogo-net@319.jp',
            'negishi-net@319.jp',
            'sugita-net@319.jp',
            'kaminakazato-net@319.jp',
            'tomioka-net@319.jp',
            'kanazawabunko@319.jp',
            'mutsuura-net@319.jp',
            'kounanchuou-net@319.jp',
            'kamiooka-net@319.jp',
            'gumyouji-net@319.jp',
            'ug-gumyouji-net@319.jp',
        ];

        if(isset($params['sltstore'])) {
            $to_store = $to[$params['sltstore']];
        }
        
        // TODO:アドレス
        $to_store = $to_web;

        $params = $request->all();
        // dump($params);
        $data['css']= root("css/contact/index.css");
        $data['bread'] = true;
        $data['staticFirst'] =array(
            'url' => root('img/save/first.jpg'),
            'title' => "CONTACT",
            'jp' => 'お問い合わせ',
        );

        // 送信処理
        //// 来店予約
        $text = '';

        if($params['type'] == 1) {
            // 送信先の取得
            $to_address = $to_web;
            
            // タイトル
            $subject = 'webよりお問い合わせがありました。';
            
        } elseif($params['type'] == 2) {
            // 送信先の取得
            $to_address = $to_store;
            
            // タイトル
            $subject = 'webより来店予約がありました。';
            
        } elseif($params['type'] == 3) {
            // 送信先の取得
            $to_address = $to_web;
            
            // タイトル
            $subject = 'webよりお問い合わせがありました。';
            
        } elseif($params['type'] == 4) {
            // 送信先の取得
            $to_address = $to_web;
            
            // タイトル
            $subject = 'webよりリフォームの来場予約がありました。';
            
        } elseif($params['type'] == 5) {
            // 送信先の取得
            $to_address = $to_store;
            
            // タイトル
            $subject = 'webよりお問い合わせがありました。';
            
        } elseif($params['type'] == 6) {
            // 送信先の取得
            $to_address = $to_web;
            
            // タイトル
            $subject = 'webよりマンションの簡易査定がありました。';
            
        } elseif($params['type'] == 7) {
            // 送信先の取得
            $to_address = $to_web;
            
            // タイトル
            $subject = 'webより土地の簡易査定がありました。';
            
        } elseif($params['type'] == 8) {
            // 送信先の取得
            $to_address = $to_web;
            
            // タイトル
            $subject = 'webより戸建の簡易査定がありました。';
            
        } elseif($params['type'] == 9) {
            // 送信先の取得
            $to_address = $to_web;
            
            // タイトル
            $subject = 'webよりマンションの無料訪問査定がありました。';
            
        } elseif($params['type'] == 10) {
            // 送信先の取得
            $to_address = $to_web;
            
            // タイトル
            $subject = 'webより土地の無料訪問査定がありました。';
            
        } elseif($params['type'] == 11) {
            // 送信先の取得
            $to_address = $to_web;
            
            // タイトル
            $subject = 'webより戸建の無料訪問査定がありました。';
            
        } elseif($params['type'] == 13) {
            // 送信先の取得
            $to_address = $to_web;
            
            // タイトル
            $subject = 'webよりお問い合わせがありました。';
            
        }




        Mail::send(array('text' => 'emails.mail'), $params, function($message) use($to_address, $subject) {

            // 第3引数にはコールバック関数を指定し、
            // その中で、送信先やタイトルの指定を行う.
            $message
                ->to($to_address)
                ->from('admin@micnavi.jp')
                // ->bcc('admin@sample.com')
                ->subject($subject);
        });

        return view('home.contact.sendmail', $data);
    }
}
